//#define XERR
#include "modbase.ih"

    // modalities/resetcounters.cc

void ModBase::resetCounters(size_t nRounds)
{
    d_count = SizeVect(nRounds);

    d_falsePositives = SizeVect(nRounds);
    d_falseNegatives = SizeVect(nRounds);
    d_truePositives  = SizeVect(nRounds);
    d_trueNegatives  = SizeVect(nRounds);
}
